Error in php5-gd-5.1.4 packages for OpenBSD 4.0

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Error in php5-gd-5.1.4 packages for OpenBSD 4.0

Anders J
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello OpenBSD maintainers.
I think something is wrong in the php5-gd-5.1.4 packages (all flavors)
The dependency can't be satisfied (see below) and i find only
freetype-1.3.1p2.tgz and not freetype.13.1 in /4.0/packages/i386

pkg_add php5-gd-5.1.4-no_x11.tgz
Can't install php5-gd-5.1.4-no_x11.tgz: lib not found freetype.13.1
Even by looking in the dependency tree:
        gettext-0.14.5p1, jpeg-6bp3, expat-2.0.0, t1lib-5.1.0p0,
php5-core-5.1.4p1, png-1.2.12, libiconv-1.9.2p3, libxml-2.6.26
Maybe it's in a dependent package, but not tagged with @lib ?
(check with pkg_info -K -L)
If you are still running 3.6 packages, update them.
iQCVAwUBRVNQooJWODLq7fYLAQjHKQP/eT7akMD5YiEk09Y9Asp2SIKBOZfjoxaH
Uiq4XwD5l2YvZVNTt+5orVbMKABa9/+/0JEqhjp3hYeuLclOonDGX2jo57BbvajB
JXaIiti2bI43shg42aKW98WCNdgL0Ej+i44DHGwRI9DWUPEvrMoMrbYhMUUCijAx
pIonimFeZps=
=CuPI
-----END PGP SIGNATURE-----

Reply | Threaded
Open this post in threaded view
|

Re: Error in php5-gd-5.1.4 packages for OpenBSD 4.0

Will Maier
On Thu, Nov 09, 2006 at 05:00:34PM +0100, Anders J wrote:
> I think something is wrong in the php5-gd-5.1.4 packages (all
> flavors) The dependency can't be satisfied (see below) and i find
> only freetype-1.3.1p2.tgz and not freetype.13.1 in
> /4.0/packages/i386

It's not a package dependency; freetype.13.1 is provided by the X
install sets. Read the FAQ.

http://www.openbsd.org/faq/faq15.html#PkgInstall

If you're still confused, read the port's Makefile.

--

o--------------------------{ Will Maier }--------------------------o
| web:.......http://www.lfod.us/ | [hidden email] |
*------------------[ BSD Unix: Live Free or Die ]------------------*

Reply | Threaded
Open this post in threaded view
|

Re: Error in php5-gd-5.1.4 packages for OpenBSD 4.0

marcus.popp (Bugzilla)
In reply to this post by Anders J
Hi,

there is a special ml for ports@,
further information can be found at http://www.openbsd.org/mail.html.

hth,

Marcus.

Reply | Threaded
Open this post in threaded view
|

Re: Error in php5-gd-5.1.4 packages for OpenBSD 4.0

Anders J
In reply to this post by Will Maier
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Anders J wrote:
.
Yeah i must apologize, i missed that one.

//A

Will Maier wrote:

> On Thu, Nov 09, 2006 at 05:00:34PM +0100, Anders J wrote:
>> I think something is wrong in the php5-gd-5.1.4 packages (all
>> flavors) The dependency can't be satisfied (see below) and i find
>> only freetype-1.3.1p2.tgz and not freetype.13.1 in
>> /4.0/packages/i386
>
> It's not a package dependency; freetype.13.1 is provided by the X
> install sets. Read the FAQ.
>
> http://www.openbsd.org/faq/faq15.html#PkgInstall
>
> If you're still confused, read the port's Makefile.
iQCVAwUBRVOA+oJWODLq7fYLAQgogAP+OawdaOnmscq5wmz/2DfMf8dLa8gYDEw2
LWey1L6Rt9IYNwSBRmja5zfoHq7tS7+jfEV5sPWPNkPLDfcpDjqUJhFGxTuwEmGa
uTUoCld1BXtoxNCI9Ld4oV52Wx8ZGre7lIkyH7eUS7MJLt9sRNJsLXVhAcRFv//T
pFAvuDIUVcI=
=rOX3
-----END PGP SIGNATURE-----